layui.extend({
    common    :   'js/common',
    orgTree    :   'layui/lay/mymodules/org-tree',
    region    :   'layui/lay/mymodules/region',
    xmSelect    :   'layui/dist/xm-select',
    dropdown    :   'layui/lay/modules/dropdown'
}).use(['tree','table', 'jquery','layer','common','orgTree','region','form','dropdown','xmSelect','laydate'], function () {
    //  弹窗插件
    var layer = layui.layer;
    //  Jquery插件
    var $ = layui.jquery;
    //  引入公共模块
    var common = layui.common;
    //  引入表格
    var table = layui.table;
    //  引入表单
    var form = layui.form;
    //  引入下拉列表组件
    var xmSelect = layui.xmSelect;
    var laydate = layui.laydate;
    var dropdown = layui.dropdown;

    var layuiTable = null;

    //选中id集合
    var ids = [];
    var cardIds = [];
    //清空选中集合
    var clearCheckbox = function () {
        ids = [];
        cardIds = [];
        userFaceMap = new Map();
    }

    //tableId集合
    var table_data = [];

    //用户id与数据map
    var userFaceMap = new Map();

    // 查询框表单
    var $node = {
        //  小区搜索
        residentialId  :  $('#residential_id'),
        //  单元搜索
        unitId  :  $('#unit_id'),
        //  房间搜索
        roomId : $('#room_id'),
        //  住户姓名
        nameInput  :  $('input[name="name"]'),
        //  联系方式
        telInput  :  $('input[name="tel"]'),
        //  身份证
        idCardInput  :  $('input[name="idCard"]'),

        cardNo  :  $('input[name="cardNo"]'),
        //  时间
        faceBeginDate : $('#face_begin_date'),
        faceEndDate : $('#face_end_date'),
        cardBeginDate : $('#card_begin_date'),
        cardEndDate : $('#card_end_date')
    };

    //  页面数据
    var pageData = {
        myOrgId     :   parseInt($('#org_id').val())
    };

    //选中树的Id
    var selectTreeId = null;

    //选中树的类型 1 机构 2 小区 3社区机构  4 单元 5 房间
    var flag = null;

    //日期时间范围
    laydate.render({
        elem: '#face_date'
        ,type: 'date'
        ,range: true
        ,done: function(value, date, endDate){
            var dateArray = value.split(" - ");
            $("#face_begin_date").val(dateArray[0] + ' 00:00:00');
            $("#face_end_date").val(dateArray[1] + ' 23:59:59');
        }
    });
    //日期时间范围
    laydate.render({
        elem: '#card_date'
        ,type: 'date'
        ,range: true
        ,done: function(value, date, endDate){
            var dateArray = value.split(" - ");
            $("#card_begin_date").val(dateArray[0] + ' 00:00:00');
            $("#card_end_date").val(dateArray[1] + ' 23:59:59');
        }
    });

    //  重新加载表格
    var reloadTable = function(obj){
        //重新加载表格
        layuiTable.reload({
            where:{
                residentialId : $node.residentialId.val(),
                unitId : $node.unitId.val(),
                roomId : $node.roomId.val(),
                name  :  $node.nameInput.val(),
                tel  :  $node.telInput.val(),
                idCard  :  $node.idCardInput.val(),
                faceBeginDate : $node.faceBeginDate.val(),
                faceEndDate : $node.faceEndDate.val(),
                checkState  :  $('#check_state option:selected').val(),
                faceEnable  :  $('#face_enable option:selected').val(),
                selectTreeId  :  selectTreeId,
                selectTreeType : flag,
                cardNo : $node.cardNo.val(),
                cardBeginDate : $node.cardBeginDate.val(),
                cardEndDate : $node.cardEndDate.val(),
                //排序
                sortField   :   obj?obj.field:'',
                sortOrder   :   obj?obj.type:'',
            }
            //重新从第1页开始
            ,page: {
                curr: 1
            },
            initSort:obj
        });
    };
    //  初始化
    (function(){
        //  加载树形列表
        layui.orgTree({
            //  点击路径的回调函数
            pathClickFn     :   function(item){
                selectTreeId = item.id;
                flag = item.flag;
                residentialSelect.update({data : initResidentialFn()});
                unitSelect.update({data : [] , disabled : true});
                roomSelect.update({data : [] , disabled : true});
                $node.residentialId.val('');
                $node.unitId.val('');
                $node.roomId.val('');
                reloadTable();
            },
            //  点击树的回调函数
            treeClickFn     :   function(item){
                selectTreeId = item.id;
                flag = item.flag;
                // 1 机构 2 小区 3社区机构  4 单元 5 房间
                if (flag <= 5){
                    roomSelect.update({data : [] , disabled : true});
                    $node.roomId.val('');
                }else if (flag <= 4){
                    unitSelect.update({data : [] , disabled : true});
                    $node.unitId.val('');
                }else if (flag <= 2){
                    residentialSelect.update({data : initResidentialFn()});
                    $node.residentialId.val('');
                }
                reloadTable();
            },
            //  当前用户的机构Id
            orgId   :   pageData.myOrgId,
            //  截至级别（不包含）
            // isShowFlag : 2
        });

        //  初始化表格
        layuiTable = common.layuiTable.render(layui.table,{
            elem: '#table_id'
            ,url: '/estate/access/showAccessUserList'
            ,cellMinWidth: 80 //全局定义常规单元格的最小宽度，
            ,limits: [10, 20, 50, 100, 200] //全局定义常规单元格的最小宽度，
            , cols: [[
                 { type: 'checkbox'}
                ,{ field: 'name', title: '姓名',align:'center'}
                ,{ field: 'tel', title: '联系方式',align:'center' }
                ,{ field: 'idCard', title: '身份证',align:'center' }
                ,{ field: 'roomName', title: '房间',align:'center'}
                ,{ field: 'unitName', title: '单元',align:'center'}
                ,{ field: 'buildingName', title: '楼栋',align:'center'}
                ,{ field: 'residentialName', title: '小区名称',align:'center'}
                ,{ field: 'checkState', title: '人脸审核状态',templet: '#is_checkState' ,align:'center'}
                // ,{ title: '卡号',align:'center',templet:function (d) {
                //         if(d.accessCard){
                //             return d.accessCard.cardNo;
                //         }
                //         return "";
                //     }
                //  }
                ,{ field: 'imageUri', title: '人脸图片',templet: '#is_imageUri',align:'center' }
                // , { field: 'accessCard.beginDate', width: 82, title: '卡有效期-开始',align:'center', templet:function (d) {
                //     if (d.accessCard){
                //         return d.accessCard.beginDate
                //     }else {return ""}
                // } }
                // , { field: 'accessCard.endDate', width: 82, title: '卡有效期-结束',align:'center',templet:function (d) {
                //     if (d.accessCard){
                //         return d.accessCard.endDate
                //     }else {return ""}
                // } }
                // , { field: 'faceBeginDate', width: 90, title: '人脸有效期-开始',sort:true,align:'center' }
                // , { field: 'faceEndDate', width: 90, title: '人脸有效期-结束',sort:true,align:'center' }
                // ,{ title: '卡状态',align:'center', templet: function(d){
                //         if (d.accessCard){
                //             if (d.accessCard.cardEnable == 0){
                //                 return '<span class="layui-badge layui-bg-black">未下发</span>';
                //             }else if (d.accessCard.cardEnable == 1){
                //                 return '<span class="layui-badge layui-bg-green">已下发</span>';
                //             }else if (d.accessCard.cardEnable == 2){
                //                 return '<span class="layui-badge layui-bg-red">已禁用</span>';
                //             }else {
                //                 return '<span class="layui-badge layui-bg-orange">未设置</span>';
                //             }
                //         }else{
                //             return '<span class="layui-badge layui-bg-orange">未设置</span>';
                //         }
                //     } }
                ,{ field: 'faceEnable', title: '人脸状态',templet: '#is_faceEnable',sort:true,align:'center' }
                ,{ title: '操作',width:180,align: 'center', toolbar: '#table-useradmin-webuser' }
            ]]
            //  开启分页功能
            , page: true
            ,done:function(res,curr,count){
                // 设置换页勾选之前的
                table_data = res.data;
                layer.photos({
                    photos: '#layPhotosTbImg',
                    shade: .1,
                    closeBtn: true
                });
            }
        });
    })();

    //排序
    layui.table.on('sort(table_event)',function (obj) {
        reloadTable(obj);
    });

    //监听行工具事件 lay-filter="table_event"
    table.on('tool(table_event)', function(obj){
        var data = obj.data; //获得当前行数据
        var userDataStr = data.name + " - " + data.residentialName + " - " + data.unitName;
        switch (obj.event) {
            case 'faceImageSet'://人脸设置
                common.openDefaultIframe({
                    title: '人脸设置',
                    content:  '/estate/access/indexUserFaceSet/'+data.id
                });
                break;
            case 'cardSet'://卡设置
                common.openDefaultIframe({
                    title: '卡设置',
                    content:  '/estate/access/indexUserCardSet/'+data.id
                });
                break;
            case 'log4face':
                common.openDefaultIframe({
                title   :   '人脸日志' + " 【 " + userDataStr + " 】",
                content :   '/estate/user/log4face?userId=' + data.id
            });
                break;
            case 'showUserId':
                var qinlinUserId = '102' + data.id;
                layer.open({
                    title: '查看用户id'
                    ,content: qinlinUserId
                });
                break;
            //  卡日志
            case 'log4card':
                var accessCard = data.accessCard;
                if(!accessCard){
                    layer.alert("暂无卡片信息，请先设置卡号！");
                }else{
                    common.openDefaultIframe({
                        title   :   '卡日志' + " 【 " + userDataStr + " 】",
                        content :   '/estate/user/log4card?cardNo=' + accessCard.cardNo
                    });
                }
                break;
            //  特殊门禁授权
            case 'specialSet':
                common.openMaxIframe({
                    title   :   '特殊门禁授权',
                    content :   '/estate/access/specialOpenPermissionSet/' + data.id + '/' + data.residentialId
                });
                break;
            //  门禁禁用
            case 'accessDisable':
                layer.confirm('是否确认禁用?', {icon: 7, title:'提示'},function(index) {
                    var devicesAccessPushVO = {};
                    devicesAccessPushVO.operType = 2;
                    devicesAccessPushVO.userId = data.id;
                    common.sendAsyncRequest('/estate/access/accessDevicesManualPush','POST',devicesAccessPushVO,function (result){
                        //刷新表格
                        layuiTable.reload();
                        layer.msg("禁用成功");
                        layer.close(index);//关闭弹窗提示
                    });
                });
                break;
            //  人脸门禁启用
            case 'faceEnable':
                layer.confirm('是否确认启用人脸?', {icon: 7, title:'提示'},function(index) {
                    var devicesAccessPushVO = {};
                    devicesAccessPushVO.operType = 3;
                    devicesAccessPushVO.userId = data.id;
                    common.sendAsyncRequest('/estate/access/accessDevicesManualPush','POST',devicesAccessPushVO,function (result){
                        //刷新表格
                        layuiTable.reload();
                        layer.msg("人脸启用成功");
                        layer.close(index);//关闭弹窗提示
                    });
                });
                break;
            //  门禁卡启用
            case 'cardEnable':
                layer.confirm('是否确认启用门禁卡?', {icon: 7, title:'提示'},function(index) {
                    var devicesAccessPushVO = {};
                    devicesAccessPushVO.operType = 4;
                    devicesAccessPushVO.userId = data.id;
                    common.sendAsyncRequest('/estate/access/accessDevicesManualPush','POST',devicesAccessPushVO,function (result){
                        //刷新表格
                        layuiTable.reload();
                        layer.msg("卡启用成功");
                        layer.close(index);//关闭弹窗提示
                    });
                });
                break;
            //  人脸禁用
            case 'faceDisable':
                layer.confirm('是否禁用人脸?', {icon: 7, title:'提示'},function(index) {
                    var devicesAccessPushVO = {};
                    devicesAccessPushVO.operType = 5;
                    devicesAccessPushVO.userId = data.id;
                    common.sendAsyncRequest('/estate/access/accessDevicesManualPush','POST',devicesAccessPushVO,function (result){
                        //刷新表格
                        layuiTable.reload();
                        layer.msg("人脸禁用成功");
                        layer.close(index);//关闭弹窗提示
                    });
                });
                break;
            //  门禁卡禁用
            case 'cardDisable':
                layer.confirm('是否禁用门禁卡?', {icon: 7, title:'提示'},function(index) {
                    var devicesAccessPushVO = {};
                    devicesAccessPushVO.operType = 6;
                    devicesAccessPushVO.userId = data.id;
                    common.sendAsyncRequest('/estate/access/accessDevicesManualPush','POST',devicesAccessPushVO,function (result){
                        //刷新表格
                        layuiTable.reload();
                        layer.msg("卡禁用成功");
                        layer.close(index);//关闭弹窗提示
                    });
                });
                break;
            default:
                break;
        }
    });

    //监听搜索
    form.on('submit(query)', function(){
        reloadTable();
    });

    //监听重置查询
    form.on('submit(reset)', function(){
        residentialSelect.update({data : initResidentialFn()});
        unitSelect.update({data : [] , disabled : true});
        roomSelect.update({data : [] , disabled : true});
        $node.residentialId.val('');
        $node.unitId.val('');
        $node.roomId.val('');
        $node.nameInput.val('');
        $node.telInput.val('');
        $node.idCardInput.val('');
        $node.faceBeginDate.val('');
        $node.faceEndDate.val('');
        $('#face_date').val('');
        $node.cardNo.val('');
        $node.cardBeginDate.val('');
        $node.cardEndDate.val('');
        $('#card_date').val('');
        // 刷新select标签
        $('#check_state').val("");
        form.render('select');
        reloadTable();
    });

    //监听导入
    form.on('submit(import)', function(){
        layer.open({
            //  0（信息框，默认）1（页面层）2（iframe层）3（加载层）4（tips层）
            type    :   2,
            //  宽高
            area    :   ['500px', '300px'],
            //  禁用最大最小化
            maxmin  :   false,
            //  禁用拖拽
            move    :   false,
            //  弹窗标题
            title   :    '导入出入方式',
            //  打开内容
            content :  '/estate/access/indexImportExcel/5'
        });
    });

    //监听导出
    form.on('submit(export)', function(){
        window.location.href = "/estate/access/exportUserAccess";
    });

    //批量禁用人脸
    form.on('submit(faceDeleteBatch)', function () {
        if (ids.length == 0) {
            layer.msg("请选择要禁用的数据。");
            return;
        }
        layer.confirm('是否确认禁用？', {icon: 7, title: '提示'}, function (index) {
            $.ajax({
                url: '/estate/access/deleteUserFaceImageBatch',
                type: 'POST',
                contentType: "application/json;charset=utf-8",
                data: JSON.stringify(ids),
                success: function (result) {
                    if (result.code == '200') {
                        if (result.data) {
                            //  刷新表格
                            layuiTable.reload();
                            clearCheckbox();
                            layer.msg("禁用成功");
                            layer.close(index);
                        } else {
                            layer.msg("禁用失败");
                        }
                    } else {
                        layer.msg(result.msg);
                    }
                }
            });
        });
    });

    //批量下发人脸
    form.on('submit(faceIssueBatch)', function () {
        /*if (userFaceMap.size == 0) {
            layer.msg("请选择要下发的数据。");
            return;
        }else{
            let userList = [];
            userFaceMap.forEach(function (value, key, map) {
                let user = {};
                user["id"] = value.id;
                user["imageUri"] = value.imageUri;
                user["faceCode"] = value.faceCode;
                user["faceBeginDate"] = value.faceBeginDate;
                user["faceEndDate"] = value.faceEndDate;
                userList.push(user);
            });
            layer.confirm('是否确认下发？', {icon: 7, title: '提示'}, function (index) {
                $.ajax({
                    url: '/estate/access/issueUserFaceImageBatch',
                    type: 'POST',
                    contentType: "application/json;charset=utf-8",
                    data: JSON.stringify(userList),
                    success: function (result) {
                        if (result.code == '200') {
                            if (result.data) {
                                //  刷新表格
                                layuiTable.reload();
                                clearCheckbox();
                                layer.msg("下发成功");
                                layer.close(index);
                            } else {
                                layer.msg("下发失败");
                            }
                        } else {
                            layer.msg(result.msg);
                        }
                    }
                });
            });
        } */

        let loadIndex = layer.load(2); //风格2的加载
        if (userFaceMap.size == 0) {
            layer.msg("请选择要下发的数据。");
            return;
        }else{

            let flag = false;
            userFaceMap.forEach(function (value, key, map) {
                let user = {};
                user["userId"] = value.id;
                // 再启用
                user["operType"] = 3;
                common.sendSyncRequest('/estate/access/accessDevicesManualPush','POST',user,function (result){
                    flag = true;
                });

            });

            if (flag){
                //刷新表格
                layuiTable.reload();
                layer.msg("批量下发人脸成功！");
                layer.close(loadIndex);
                userFaceMap = new Map();
            }
        }

    });

    //批量禁用门禁卡
    form.on('submit(cardDeleteBatch)', function () {
        if (cardIds.length == 0) {
            layer.msg("请选择要禁用的数据。");
            return;
        }
        layer.confirm('是否确认禁用？', {icon: 7, title: '提示'}, function (index) {
            $.ajax({
                url: '/estate/access/deleteUserCardBatch',
                type: 'POST',
                contentType: "application/json;charset=utf-8",
                data: JSON.stringify(cardIds),
                success: function (result) {
                    if (result.code == '200') {
                        if (result.data) {
                            //  刷新表格
                            layuiTable.reload();
                            clearCheckbox();
                            layer.msg("禁用成功");
                            layer.close(index);
                        } else {
                            layer.msg("禁用失败");
                        }
                    } else {
                        layer.msg(result.msg);
                    }
                }
            });
        });
    });
    form.on('submit(cardEnableBatch)', function () {
        if (cardIds.length == 0) {
            layer.msg("请选择要启用的数据。");
            return;
        }
        layer.confirm('是否确认启用？', {icon: 7, title: '提示'}, function (index) {
            $.ajax({
                url: '/estate/access/enableUserCardBatch',
                type: 'POST',
                contentType: "application/json;charset=utf-8",
                data: JSON.stringify(cardIds),
                success: function (result) {
                    if (result.code == '200') {
                        if (result.data) {
                            layuiTable.reload();
                            clearCheckbox();
                            layer.msg("启用成功");
                            layer.close(index);
                        } else {
                            layer.msg("启用失败");
                        }
                    } else {
                        layer.msg(result.msg);
                    }
                }
            });
        });
    });

    //复选框选中监听,将选中的id 设置到缓存数组,或者删除缓存数组
    table.on('checkbox(table_event)', function (obj) {
        if (obj.checked == true) {
            if (obj.type == 'one') {
                ids.push(obj.data.id)
                userFaceMap.set(obj.data.id, obj.data)
                if(obj.data.accessCard){
                    cardIds.push(obj.data.accessCard.id)
                }
            } else {
                //先清空数组，然后重新push
                clearCheckbox();
                for (var i = 0; i < table_data.length; i++) {
                    ids.push(table_data[i].id);
                    userFaceMap.set(table_data[i].id, table_data[i]);
                    if(table_data[i].accessCard){
                        cardIds.push(table_data[i].accessCard.id)
                    }
                }
            }
        } else {
            if (obj.type == 'one') {
                for (var i = 0; i < ids.length; i++) {
                    if (ids[i] == obj.data.id) {
                        ids.splice(i, 1);
                        userFaceMap.delete(ids[i]);
                        return;
                    }
                }
                //是否有门禁卡记录
                if(obj.data.accessCard){
                    for (var i = 0; i < cardIds.length; i++) {
                        if (cardIds[i] == obj.data.accessCard.id) {
                            cardIds.splice(i, 1);
                            return;
                        }
                    }
                }
            } else {
                clearCheckbox();
                // for (var i = 0; i < table_data.length; i++) {
                //     if(table_data[i].accessCard){
                //         for (var j = 0; j < cardIds.length; j++) {
                //             if (cardIds[j] == table_data[i].accessCard.id) {
                //                 cardIds.splice(j, 1);
                //                 j--;
                //                 break;
                //             }
                //         }
                //     }
                // }
            }
        }
    });

    //小区查询下拉列表
    var residentialSelect = xmSelect.render({
        el: '#residential_name',
        radio: true,
        prop: {
            name: 'name',
            value: 'id',
        },
        toolbar: {
            show: true,
            list: [{
                name: '清空',
                method(){
                    residentialSelect.setValue([]);
                    $node.residentialId.val('');
                    unitSelect.update({disabled:true}).setValue([]);
                    $node.unitId.val('');
                    roomSelect.update({disabled:true}).setValue([]);
                    $node.roomId.val('');
                }
            }]
        },
        clickClose: true,
        filterable: true,
        remoteSearch: true,
        remoteMethod: function (val, cb, show) {
            $.ajax({
                type: 'GET',
                url: '/estate/residential/getListByLikeName',
                data: {
                    name : val,
                    selectTreeId : selectTreeId,
                    isSelect : true
                },
                success: function (result) {
                    cb(result.list);
                },
                error: function () {
                    cb([]);
                }
            });
        },
        //监听选择
        on: function (data) {
            var change = data.change;
            if (change.length > 0) {
                $node.residentialId.val(change[0].id)
                unitSelect.update({data : initUnitFn(change[0].id),disabled: false });
                roomSelect.update({data : []});
            }
            if (!data.isAdd) {
                $node.residentialId.val('');
                unitSelect.update({disabled : true });
                roomSelect.update({disabled : true});
            }
            $node.unitId.val('');
            $node.roomId.val('');
        },
        //显示方式
        model: {
            label: {
                type: 'text',
                text: {
                    //左边拼接的字符
                    left: '',
                    //右边拼接的字符
                    right: '',
                    //中间的分隔符
                    separator: ', ',
                },
            }
        },
    });

    //单元查询下拉列表
    var unitSelect = xmSelect.render({
        el: '#unit_name',
        disabled: true,
        tips: '请先选择小区',
        radio: true,
        prop: {
            name: 'name',
            value: 'id',
        },
        toolbar: {
            show: true,
            list: [{
                name: '清空',
                method(){
                    unitSelect.setValue([]);
                    $node.unitId.val('');
                    roomSelect.update({disabled:true}).setValue([]);
                    $node.roomId.val('');
                }
            }]
        },
        clickClose: true,
        filterable: true,
        remoteSearch: true,
        remoteMethod: function (val, cb, show) {
            $.ajax({
                type: 'GET',
                url: '/estate/unit/getListByLikeName',
                data: {
                    name : val,
                    residentialId : $node.residentialId.val(),
                    isSelect : true
                },
                success: function (result) {
                    cb(result.list);
                },
                error: function () {
                    cb([]);
                }
            });
        },
        //监听选择
        on: function (data) {
            var change = data.change;
            if (change.length > 0) {
                $node.unitId.val(change[0].id);
                roomSelect.update({data : initRoomFn(change[0].residentialId,change[0].id) , disabled : false});
            }
            if (!data.isAdd) {
                $node.unitId.val('');
                roomSelect.update({data : [] , disabled : true});
            }
            $node.roomId.val('');
        },
        //显示方式
        model: {
            label: {
                type: 'text',
                text: {
                    //左边拼接的字符
                    left: '',
                    //右边拼接的字符
                    right: '',
                    //中间的分隔符
                    separator: ', ',
                },
            }
        },
    });

    //房间查询下拉列表
    var roomSelect = xmSelect.render({
        el: '#room_name',
        disabled: true,
        tips: '请先选择小区和单元',
        radio: true,
        prop: {
            name: 'name',
            value: 'id',
        },
        toolbar: {
            show: true,
            list: [{
                name: '清空',
                method(){
                    roomSelect.setValue([]);
                    $node.roomId.val('');
                }
            }]
        },
        clickClose: true,
        filterable: true,
        remoteSearch: true,
        remoteMethod: function (val, cb, show) {
            $.ajax({
                type: 'GET',
                url: '/estate/room/getListByLikeName',
                data: {
                    name : val,
                    residentialId : $node.residentialId.val(),
                    unitId : $node.unitId.val(),
                    isSelect : true
                },
                success: function (result) {
                    cb(result.list);
                },
                error: function () {
                    cb([]);
                }
            });
        },
        //监听选择
        on: function (data) {
            var change = data.change;
            if (change.length > 0) {
                $node.roomId.val(change[0].id)
            }
            if (!data.isAdd) {
                $node.roomId.val('');
            }
        },
        //显示方式
        model: {
            label: {
                type: 'text',
                text: {
                    //左边拼接的字符
                    left: '',
                    //右边拼接的字符
                    right: '',
                    //中间的分隔符
                    separator: ', ',
                },
            }
        },
    });

    function initResidentialFn() {
        var residentialList;
        common.sendSyncRequest("/estate/residential/getListByLikeName", 'get', {selectTreeId : selectTreeId,isSelect : true}, function (result) {
            residentialList = result.list;
        });
        return residentialList;
    }
    function initUnitFn(residentialId) {
        var unitList;
        common.sendSyncRequest("/estate/unit/getListByLikeName", 'get', {residentialId : residentialId , isSelect : true}, function (result) {
            unitList = result.list;
        });
        return unitList;
    }
    function initRoomFn(residentialId,unitId) {
        var roomList;
        common.sendSyncRequest("/estate/room/getListByLikeName", 'get', {residentialId : residentialId , unitId : unitId,isSelect : true}, function (result) {
            roomList = result.list;
        });
        return roomList;
    }
});
